Back to the main site

Amazon games support broken by Amazon already?

Hi all,
As I’m writing this I’m unable to play any amazon game (I tried Rain World and The Secret of Monkey Island).

This is the error I get in lutris -d:

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/lutris/gui/lutriswindow.py", line 861, in on_game_activated
    game_id = self.service.install(service_game)
  File "/usr/lib/python3.10/site-packages/lutris/services/base.py", line 252, in install
    installer = self.generate_installer(db_game)
  File "/usr/lib/python3.10/site-packages/lutris/services/amazon.py", line 605, in generate_installer
    file_dict, directories = self.get_game_files(details["id"])
  File "/usr/lib/python3.10/site-packages/lutris/services/amazon.py", line 544, in get_game_files
    game_patches = self.get_game_patches(game_id, manifest_info["versionId"], hashpairs)
  File "/usr/lib/python3.10/site-packages/lutris/services/amazon.py", line 504, in get_game_patches
    raise UnavailableGame(
lutris.exceptions.UnavailableGame: ('Unable to get the patches of game, please check your Amazon credentials and internet connectivity', 'd2c0c3dd-d1e4-6b30-7a90-f8aa7c267cda')
DEBUG    2022-09-19 15:33:48,913 [grid.on_item_activated:57]:Item activated: 58c0454e-153c-bab2-df60-5a9de8279583
DEBUG    2022-09-19 15:33:48,913 [lutriswindow.on_game_activated:846]:Looking up amazon game 58c0454e-153c-bab2-df60-5a9de8279583
DEBUG    2022-09-19 15:33:48,914 [base.install:230]:Installing 58c0454e-153c-bab2-df60-5a9de8279583 from service amazon
DEBUG    2022-09-19 15:33:48,914 [http._request:83]:GET https://lutris.net/api/games/service/amazon
ERROR    2022-09-19 15:33:49,134 [api.get_http_response:99]:Unable to get games from API: HTTP Error 405: Method Not Allowed
DEBUG    2022-09-19 15:33:49,136 [http._request:83]:POST https://sds.amazon.com/amazon/
DEBUG    2022-09-19 15:33:49,686 [http._request:83]:GET https://client.legacy-app.games.a2z.com/presigned/manifests/891b39a3-d891-4735-991c-8f9b160aa5ed?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20220919T071055Z&X-Amz-SignedHeaders=host&X-Amz-Expires=129600&X-Amz-Credential=AKIAIUPMU64VL54YH5LQ%2F20220919%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=34dd6f274ebf7b6c17279a5f3b08d4400aead958a4cb81d2e458a2c1ec27f8d0
DEBUG    2022-09-19 15:33:49,995 [http._request:83]:POST https://sds.amazon.com/amazon/
DEBUG    2022-09-19 15:33:50,939 [http._request:83]:GET https://client.legacy-app.games.a2z.com/presigned/assets/ff4b95d4927d602af41cbb68285ed948a3190ff67a7fca1ba9cc5a76b01fe23f-7db0af1f-42cd-455a-bbf5-39c3cca271f1?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20220919T093711Z&X-Amz-SignedHeaders=host&X-Amz-Expires=129600&X-Amz-Credential=AKIAIUPMU64VL54YH5LQ%2F20220919%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=208515f5d98c05cd5e946d2b3f6372fa8bb262cc301ec189f7a08c78782d9a8f
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/lutris/util/http.py", line 152, in json
    return json.loads(_raw_json)
  File "/usr/lib/python3.10/json/__init__.py", line 346, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.10/json/decoder.py", line 337, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.10/json/decoder.py", line 355, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 6 column 13 (char 122)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/lutris/gui/lutriswindow.py", line 861, in on_game_activated
    game_id = self.service.install(service_game)
  File "/usr/lib/python3.10/site-packages/lutris/services/base.py", line 252, in install
    installer = self.generate_installer(db_game)
  File "/usr/lib/python3.10/site-packages/lutris/services/amazon.py", line 632, in generate_installer
    game_cmd, game_args = self.get_game_cmd_line(fuel_url)
  File "/usr/lib/python3.10/site-packages/lutris/services/amazon.py", line 586, in get_game_cmd_line
    game_cmd, game_args = self.get_exe_and_game_args(fuel_url)
  File "/usr/lib/python3.10/site-packages/lutris/services/amazon.py", line 566, in get_exe_and_game_args
    res_json = request.json
  File "/usr/lib/python3.10/site-packages/lutris/util/http.py", line 154, in json
    raise ValueError(f"JSON response from {self.url} could not be decoded: '{_raw_json[:80]}'") from err
ValueError: JSON response from https://client.legacy-app.games.a2z.com/presigned/assets/ff4b95d4927d602af41cbb68285ed948a3190ff67a7fca1ba9cc5a76b01fe23f-7db0af1f-42cd-455a-bbf5-39c3cca271f1?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20220919T093711Z&X-Amz-SignedHeaders=host&X-Amz-Expires=129600&X-Amz-Credential=AKIAIUPMU64VL54YH5LQ%2F20220919%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=208515f5d98c05cd5e946d2b3f6372fa8bb262cc301ec189f7a08c78782d9a8f could not be decoded: '{
 "SchemaVersion":  "2",
 "PostInstall": [  ],
 "Main": {
   "Command": "Co'

I did refresh my login but these 2 errors are the ones I get.
Any info on the issue?